* ------------------------------------------------------------ *
*  Program...........: YESNO
*  Author............: Greg Dunn
*  Project...........: Greg Dunn Reusable Application Foundation
*  Created...........: 08/18/93
*  Copyright.........: (c) TRW, 1993
*  Description.......: Given a character variable containing a question,
*		displays the question to the user and waits for a Yes or No response.
*  Calling Samples...: lcYesNo = YesNo("Do you REALLY want to do this?!?")
*  Parameter List....: tcQuestion - the question
*  Major change list.: 
* ------------------------------------------------------------ *

PARAMETERS tcQuestion
PRIVATE tcQuestion, llRetVal

IF PARAMETERS() = 0
	tcQuestion = "Are you sure?"
ENDIF
llRetVal = .F.



* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% *
do YESNO.SPR
* %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% *

return llRetVal


* ------------------------------------------------------------ *
procedure VlhAction
* ------------------------------------------------------------ *
* VALID snippet for GET object lhAction
* ------------------------------------------------------------ *

llRetVal = IIF(lhAction = 1, .T., .F.)



